/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef INTERFACCIA_H
#define INTERFACCIA_H

#include <string>

#include "schermo.h"
#include "pezzo.h"
#include "tabellone.h"

using namespace std;

class Interfaccia
{
 public:
    Interfaccia();

    void disegnaSchermo(const Schermo& schermo);
    void refreshPezzi(const Schermo& schermo);
    void refreshVariabili(const Schermo& schermo);
    
    void stampaTETRIS();
    void stampaMenuPrincipale(int rigaEvidenziata);
    void stampaMenuPausa(int rigaEvidenziata);

    int gestioneMenuPrincipale();
    int gestioneMenuPausa();
    
    int menuPrincipale(Tabellone& tabellone, Schermo& schermo);
    int menuPausa(Schermo& schermo, Pezzo* p, Pezzo* prossimoP, int riga, int colonna);

    void salva(const Schermo& schermo);
    void carica(Schermo& schermo);

    void terminaProgramma(Tabellone& tabellone);
    void fineGioco(Schermo& schermo, Tabellone& tabellone);
    
 private:
    string menuPrinc[4];
    string menuPau[5];

    int comando;
};

#endif
