/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include <ncurses.h>

#include "pezzo.h"

void Pezzo::stampaPezzo(int riga, int colonna) const
{
    for(int i = 0; i < 4; i++)
        for (int j = 0; j < 4; j++)
            if(getForma(getFormaAttuale()).getPosizione(i, j) > 0)
            {
                attron(COLOR_PAIR(getNumeroPezzo()));
                mvaddch(riga+i, colonna+j+COLS/2-11, '@');
                attroff(COLOR_PAIR(getNumeroPezzo()));
            }
    refresh();
}

void Pezzo::cancellaPezzo(int riga, int colonna) const
{
    for (int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
            if(getForma(getFormaAttuale()).getPosizione(i, j) > 0)
                mvaddch(riga+i, colonna+j+COLS/2-11, ' ');
    refresh();
}

void Pezzo::cancellaProssimoPezzo() const
{
    for(int i = 5; i < 10; i++)
        for(int j = 18; j < 24; j++)
            mvaddch(i, j+COLS/2-12, ' ');
    refresh();
}
