/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "pezzoI.h"

/*
  Forma pezzoI::formeI[4];

  Creare un metodo static che inizializzi la forma, invece del costruttore.
*/

PezzoI::PezzoI()
    : formaAttuale(0)
{   
   // formeI[0]
    for(int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
        {
            if(j == 1)
                formeI[0].setPosizione(i, j, 4);
            else
                formeI[0].setPosizione(i, j, 0);
        }
    
    // formeI[1]
    for (int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
        {
            if(i == 2)
                formeI[1].setPosizione(i, j, 4);
            else
                formeI[1].setPosizione(i, j, 0);
        }

    // formeI[2]
    for(int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
        {
            if(j == 2)
                formeI[2].setPosizione(i, j, 4);
            else
                formeI[2].setPosizione(i, j, 0);
        }

    // formeI[3]
    for(int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
        {
            if(i == 1)
                formeI[3].setPosizione(i, j, 4);
            else
                formeI[3].setPosizione(i, j, 0);
        }
}

const Forma& PezzoI::getForma(int forma) const
{
    return formeI[forma];
}

int PezzoI::getNumeroPezzo() const
{
    return 4;
}

int PezzoI::getFormaAttuale() const
{
    return formaAttuale;
}

int PezzoI::getMaxForme() const
{
    return 3;
}

void PezzoI::setFormaAttuale(int forma)
{
    formaAttuale = forma;
}
